Developers

Retrieves the collection of favorite Project resources.

GET
/project/favorite-projects

Retrieves the collection of favorite Project resources.

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30

Response Body

curl -X GET "https://example.com/project/favorite-projects"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "project": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "shortCode": "string",      "isSimple": false,      "simpleBoardShortCode": "string",      "name": "string",      "no": "string",      "contractors": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      ],      "category": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string"      },      "dateStart": "2019-08-24T14:15:22Z",      "dateEnd": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "dateStartPlanned": "2019-08-24T14:15:22Z",      "dateEndPlanned": "2019-08-24T14:15:22Z",      "duration": 0,      "status": "in-preparation",      "isFavorite": false,      "userPermissions": [        "canManage"      ],      "assignedProjectUsers": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "projectUser": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "shortCode": "string",            "firstName": "string",            "lastName": "string",            "email": "string",            "pictureSm": "string",            "pictureLg": "string",            "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",            "contractorName": "string",            "canLogIn": true,            "phoneNumber": "string",            "jobPositionName": "string",            "hourlyRate": null,            "isExternal": true,            "decorator": "string"          },          "role": "none",          "hourlyRate": null,          "canReportTime": true        }      ],      "progress": null,      "budget": null,      "taskCountTotal": null,      "taskCountDone": null,      "timePlanned": null,      "timeReported": null,      "timeRealizationPercent": 0,      "tags": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      ],      "costEstimated": 0,      "costSum": 0,      "incomePlanned": 0,      "incomeSum": 0,      "financialResult": 0,      "budgetUsagePercent": 0,      "customFields": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "valueId": "b772d050-4ba4-443b-8ca7-cc1e42bdd731",          "name": "string",          "description": "string",          "dataType": "text",          "valueText": "string",          "valueFloat": "string",          "valueDateTime": "2019-08-24T14:15:22Z",          "valueSelectOptions": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "value": "string",              "weight": 0,              "decorator": "#78909c"            }          ],          "valueSelectUsers": [            {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "firstName": "string",              "lastName": "string",              "email": "string",              "pictureSm": "string"            }          ],          "valueDepartment": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "name": "string"          }        }      ]    }  }]